# Response.StatusCode (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.sftp
Enum Response.StatusCode

    java.lang.Object
      java.lang.Enum<Response.StatusCode>
          net.schmizz.sshj.sftp.Response.StatusCode

All Implemented Interfaces:
  Serializable, Comparable<Response.StatusCode>

Enclosing class:
  Response

    public static enum Response.StatusCode

extends Enum<Response.StatusCode>

Enum Constant Summary
`BAD_MESSAGE`
`CONNECITON_LOST`
`EOF`
`FAILURE`
`NO_CONNECTION`
`NO_SUCH_FILE`
`OK`
`OP_UNSUPPORTED`
`PERMISSION_DENIED`
`UNKNOWN`

Method Summary
`static Response.StatusCode` `fromInt(int code)`
`static Response.StatusCode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Response.StatusCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN

    public static final Response.StatusCode UNKNOWN

### OK

    public static final Response.StatusCode OK

### EOF

    public static final Response.StatusCode EOF

### NO_SUCH_FILE

    public static final Response.StatusCode NO_SUCH_FILE

### PERMISSION_DENIED

    public static final Response.StatusCode PERMISSION_DENIED

### FAILURE

    public static final Response.StatusCode FAILURE

### BAD_MESSAGE

    public static final Response.StatusCode BAD_MESSAGE

### NO_CONNECTION

    public static final Response.StatusCode NO_CONNECTION

### CONNECITON_LOST

    public static final Response.StatusCode CONNECITON_LOST

### OP_UNSUPPORTED

    public static final Response.StatusCode OP_UNSUPPORTED

Method Detail

### values

    public static Response.StatusCode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Response.StatusCode c : Response.StatusCode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Response.StatusCode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### fromInt

    public static Response.StatusCode fromInt(int code)

Copyright © 2009-2011. All Rights Reserved.